#
# spec file for package rubygem-mini_magick
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mini_magick
Version:        4.12.0
Release:        1.7
%define mod_name mini_magick
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/minimagick/minimagick
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Manipulate images with minimal use of memory via ImageMagick /
License:        MIT
Group:          Development/Languages/Ruby

%description
Manipulate images with minimal use of memory via ImageMagick / GraphicsMagick.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE" \
  -f

%gem_packages

%changelog
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.12.0
  no changelog found
* Tue Nov 10 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.11.0
  * Fix fetching metadata when there are GhostScript warnings (#522)
  * Fixed some method redefined warnings (#505)
  * Added MiniMagick::Image.get_image_from_pixels (#516)
  * extend MiniMagick::Tool#stack to support arguments so that it can be used with Active Storage
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.10.1
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.9.5
  no changelog found
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.9.3
  no changelog found
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 4.9.2
  no changelog found
* Thu Aug  3 2017 coolo@suse.com
- updated to version 4.8.0
  no changelog found
* Tue Jun 20 2017 coolo@suse.com
- updated to version 4.7.1
  no changelog found
* Wed Mar 29 2017 coolo@suse.com
- updated to version 4.7.0
  no changelog found
* Mon Feb 13 2017 coolo@suse.com
- updated to version 4.6.1
  no changelog found
* Sun Dec  4 2016 coolo@suse.com
- updated to version 4.6.0
  no changelog found
* Fri Jul 22 2016 coolo@suse.com
- add ImageMagick dependency
* Wed Apr  6 2016 coolo@suse.com
- updated to version 4.5.1
  no changelog found
* Mon Mar 21 2016 coolo@suse.com
- updated to version 4.5.0
  no changelog found
* Sun Feb  7 2016 coolo@suse.com
- updated to version 4.4.0
  no changelog found
* Tue Oct 13 2015 coolo@suse.com
- updated to version 4.3.6
  no changelog found
* Sun Oct  4 2015 coolo@suse.com
- updated to version 4.3.5
  no changelog found
* Sat Oct  3 2015 coolo@suse.com
- updated to version 4.3.4
  no changelog found
* Thu Sep 10 2015 coolo@suse.com
- updated to version 4.3.3
  no changelog found
* Wed Sep  9 2015 coolo@suse.com
- updated to version 4.3.2
  no changelog found
* Sat Sep  5 2015 coolo@suse.com
- updated to version 4.3.1
  no changelog found
* Thu Sep  3 2015 coolo@suse.com
- updated to version 4.3.0
  no changelog found
* Sat Aug  8 2015 coolo@suse.com
- updated to version 4.2.10
  no changelog found
* Mon Aug  3 2015 coolo@suse.com
- updated to version 4.2.9
  no changelog found
* Sun Aug  2 2015 coolo@suse.com
- updated to version 4.2.8
  no changelog found
* Fri May 29 2015 coolo@suse.com
- updated to version 4.2.7
  no changelog found
* Tue May 12 2015 coolo@suse.com
- updated to version 4.2.4
  no changelog found
* Thu Apr 16 2015 coolo@suse.com
- updated to version 4.2.3
* Tue Apr  7 2015 coolo@suse.com
- updated to version 4.2.1
* Sat Mar 21 2015 coolo@suse.com
- updated to version 4.2.0
* Fri Mar 20 2015 coolo@suse.com
- updated to version 4.1.1
* Wed Feb 18 2015 coolo@suse.com
- updated to version 4.1.0
* Mon Feb  9 2015 coolo@suse.com
- updated to version 4.0.4
* Wed Nov 27 2013 coolo@suse.com
- updated to version 3.7.0
* Tue Jun  4 2013 coolo@suse.com
- updated to version 3.6.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 3.4
* Wed Aug  4 2010 dmacvicar@novell.com
- removing hoe as dependencies (not listed in the gemspec)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to version 1.2.5
* Mon Jan 26 2009 mrueckert@suse.de
- update to version 1.2.3
* Wed Sep 13 2006 mrueckert@suse.de
- update to version 1.2.0
